Create Product
curl --request POST \
--url https://api.example.com/products \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"price": 123,
"compare_at_price": 123,
"currency": "<string>",
"sku": "<string>",
"status": "<string>",
"image_url": "<string>",
"product_url": "<string>"
}
'import requests
url = "https://api.example.com/products"
payload = {
"name": "<string>",
"description": "<string>",
"price": 123,
"compare_at_price": 123,
"currency": "<string>",
"sku": "<string>",
"status": "<string>",
"image_url": "<string>",
"product_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
price: 123,
compare_at_price: 123,
currency: '<string>',
sku: '<string>',
status: '<string>',
image_url: '<string>',
product_url: '<string>'
})
};
fetch('https://api.example.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
Create Product
Create a new product manually.
POST
/
products
Create Product
Body Parameters
string
required
Product name.
string
Product description.
number
Product price.
number
Original price for showing discounts.
string
default:"USD"
Currency code (e.g.
USD, EUR, GBP).string
Stock keeping unit.
string
default:"active"
Product status:
active, draft, or archived.string
Primary product image URL.
string
External product page URL.
Response
200
{
"id": "prod-uuid",
"name": "Classic T-Shirt",
"price": 29.99,
"currency": "USD",
"status": "active",
"created_at": "2026-04-08T18:00:00Z"
}
⌘I